Loading...
Searching...
No Matches
osmium::index::multimap Namespace Reference

Key-value containers with multiple values for an integer key. More...

## Classes

class | Hybrid
class | HybridIterator
class | Multimap
class | SparseMemMultimap

## Typedefs

template<typename TId, typename TValue>
using | SparseFileArray = VectorBasedSparseMultimap<TId, TValue, osmium::detail::mmap_vector_file>
template<typename T>
using | StdVectorWrap = std::vector<T>
template<typename TId, typename TValue>
using | SparseMemArray = VectorBasedSparseMultimap<TId, TValue, StdVectorWrap>
template<typename TId, typename TValue>
using | SparseMmapArray = VectorBasedSparseMultimap<TId, TValue, osmium::detail::mmap_vector_anon>

## Detailed Description

Key-value containers with multiple values for an integer key.

## Typedef Documentation

## SparseFileArray

template<typename TId, typename TValue>

using osmium::index::multimap::SparseFileArray = VectorBasedSparseMultimap<TId, TValue, osmium::detail::mmap_vector_file>

## SparseMemArray

template<typename TId, typename TValue>

using osmium::index::multimap::SparseMemArray = VectorBasedSparseMultimap<TId, TValue, StdVectorWrap>

## SparseMmapArray

template<typename TId, typename TValue>

using osmium::index::multimap::SparseMmapArray = VectorBasedSparseMultimap<TId, TValue, osmium::detail::mmap_vector_anon>

## StdVectorWrap

template<typename T>

using osmium::index::multimap::StdVectorWrap = std::vector<T>